#
# Conditional build:
%bcond_without	tests	# don't perform "make test"

%define		pdir	Apache
%define		pnam	ConfigParser
%include	/usr/lib/rpm/macros.perl
Summary:	Apache::ConfigParser - load Apache configuration files
Summary(pl.UTF-8):	Apache::ConfigParser - wczytywanie plików konfiguracyjnych Apache'a
Name:		perl-Apache-ConfigParser
Version:	1.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bf33ef78917859b4258f0c9b5b2a61fd
URL:		http://search.cpan.org/dist/Apache-ConfigParser/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-File-FnMatch >= 0.01
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Tree-DAG_Node
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Apache::ConfigParser module is used to load an Apache
configuration file to allow programs to determine Apache's
configuration directives and contexts. The resulting object contains a
tree based structure using the Apache::ConfigParser::Directive class,
which is a subclass of Tree::DAG_node, so all of the methods that
enable tree based searches and modifications from Tree::DAG_Node are
also available. The tree structure is used to represent the ability to
nest sections, such as <VirtualHost>, <Directory>, etc.

%description -l pl.UTF-8
Moduł Apache::ConfigParser służy do odczytywania pliku
konfiguracyjnego Apache'a, pozwalając programom na określenie dyrektyw
konfiguracyjnych i ich kontekstu. Wynikowy obiekt zawiera strukturę
drzewiastą używającą klasy Apache::ConfigParser::Directive, która jest
podklasą Tree::DAG_Node, więc dostępne są także wszystkie metody z
Tree::DAG_Node, pozwalające na przeszukiwanie drzewa i modyfikowanie.
Struktura drzewiasta jest używana do reprezentowania możliwości
zagnieżdżania sekcji takich jak <VirtualHost>, <Directory> itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod docuementation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Apache/ConfigParser{,/}*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*
%changelog
* Fri Feb 22 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Apache-ConfigParser.git;a=log;h=master

* Fri Feb 22 2019 Adam Gołębiowski <adamg@pld-linux.org> f51ef58
- updated to 1.02
- tests BR: perl-File-FnMatch >= 0.01

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 813a821
- use generic url

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c6e6aee
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9b3daf6
- converted to UTF-8

* Fri Feb 17 2006 Elan Ruusamäe <glen@pld-linux.org> 5a323d6
- 1.01

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2dc8975
- formatting

* Tue Nov 02 2004 Adam Gołębiowski <adamg@pld-linux.org> add24d7
- get rid of pod documentation
- release 4

* Fri May 07 2004 ankry <ankry@pld-linux.org> cb3bcce
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> e690380
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 64c1972
- cosmetics: unification

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> 24ef975
- license fixes

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> f37f690
- caps and other cosmetics

* Tue Mar 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 7bb81a7
- new style bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 5478868
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 1c4aa53
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 40ff7b3
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f68a563
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 682f8ee
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> ddbb603
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> ff18fa3
- use the __perl macro

